#
# spec file for package tcl-tktray
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 open-slx GmbH <Sascha.Manns@open-slx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tcl-tktray
Version:        1.3.9
Release:        11.3
Summary:        System Tray Icon Support for Tk on X11
License:        TCL
Group:          Development/Languages/Tcl
Url:            http://sw4me.com/wiki/Tktray
Source:         http://tktray.googlecode.com/files/tktray%{version}.tar.gz
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  xorg-x11-libXext-devel
Requires:       tcl
Requires:       tk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tktray is a Tk extension that is able to create system tray icons. It
follows http://www.freedesktop.org specifications when looking up the system
tray manager.  This protocol is supported by modern versions of KDE and
Gnome panels, and by some other panel-like application.

%prep
%setup -q -n tktray%{version}

%build
%configure \
    --with-tcl=%{_libdir} \
    --with-tk=%{_libdir} \
    --libdir=%{tcl_archdir}
make %{?_smp_mflags}

%install
%make_install

mkdir html
mv docs/*.html html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{tcl_archdir}/tktray%{version}
%{tcl_archdir}/tktray%{version}/libtktray%{version}.so
%{tcl_archdir}/tktray%{version}/pkgIndex.tcl
%{_mandir}/mann/tktray.n.*
%doc ChangeLog license.terms README html/

%changelog
* Mon Sep  1 2014 gber@opensuse.org
- change license name to TCL again
* Tue Jun 19 2012 gber@opensuse.org
- update to version 1.3.9
  * tktray.c: fixed some trivial bugs with option handling (e.g.
    cget method); added ARGB32 image output support (server-side
    natural alpha composition)
  * configure.in: added --with-mad-tk-packager (see README)
  * tktray.c: balloon/cancel methods are now supported
  * building without private headers is possible now
  * complex alpha in images looks good
  * Shape extension was thrown away
  * docs/tktray.man: documented new features, fixed description of some old ones
  * tktray.c: implemented old-style pseudo-transparency; split
    widget into a persistent front-end & temporal helper window;
    borrowed bbox algorithm from xwininfo, seems to work
    everywhere; threw away a lot of image/photo handling code,
    using a simple, standard Tk_GetImage in all places except where
    XShapeCombineMask is used (current version works well without
    XShapeCombineMask)
- clean up specfile
  - remove bogus dependency on gcc-c++ and ldconfig calls
* Tue Jun 19 2012 cfarrell@suse.com
- license update: SUSE-TCL
  Choose from the document linked at http://license.opensuse.org
* Thu Aug 18 2011 Sascha.Manns@open-slx.de
- fixed bnc#712876
* Mon May  9 2011 prusnak@opensuse.org
- updated to 1.2
- renamed to tcl-tktray
* Sat Mar 14 2009 saigkill@opensuse.org
- add rpmlintrc
* Mon Feb  9 2009 saigkill@opensuse.org
- Branched for Contrib
* Mon Feb  9 2009 psmt@opensuse.org
- Initial package.
- Fix pkgIndex.tcl.in.
- Install extension in libdir.
- Install pkgIndex.tcl where it's searched for in an openSUSE
  installation.
